Loading...
Searching...
No Matches
websocketpp::concurrency::none_impl::fake_lock_guard Class Reference

A fake lock guard implementation that does nothing. More...

`#include <none.hpp>`

## Public Member Functions

| fake_lock_guard (fake_mutex)

## Detailed Description

A fake lock guard implementation that does nothing.

Definition at line 46 of file none.hpp.

## Constructor & Destructor Documentation

## fake_lock_guard()

websocketpp::concurrency::none_impl::fake_lock_guard::fake_lock_guard | ( | fake_mutex |  | ) |

inline explicit

Definition at line 48 of file none.hpp.

## ~fake_lock_guard()

websocketpp::concurrency::none_impl::fake_lock_guard::~fake_lock_guard | ( |  | ) |

inline

Definition at line 49 of file none.hpp.

The documentation for this class was generated from the following file:

- websocketpp/concurrency/none.hpp